Skip to content

Product Identifiers v3

API for managing product identifiers such as EANs/ISBNs or DOIs.


Endpoints


GET /resource/v3/products/{productId}/identifiers

List product identifiers

Input parameters

Path parameters

Parameter Type Default Nullable Description
productId string No Unique ID of the product

Query parameters

Parameter Type Default Nullable Description
active boolean No Filter by active status
channel string No Filter by distribution channel (e.g., 'amazon')
product_format string No Filter by product format ('epub', 'pdf', 'mobi', 'ibooks', 'pod')
product_type string No Filter by product type ('ebook', 'book', 'audiobook', 'nonbook')
type string No Filter by identifier type (e.g., 'gtin13')
value string No Filter by exact identifier value (e.g EAN)

Responses

{
    "_links": {},
    "_pagination": {},
    "items": [
        {
            "_id": "b7850298-96b2-42b2-ba36-ab7e1ecccb48",
            "type": "gtin13",
            "product_type": "ebook",
            "product_format": "epub",
            "value": "9783638101417",
            "channels": [
                "amazon",
                "itunes"
            ],
            "active": true
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_links": {
            "type": "object"
        },
        "_pagination": {
            "type": "object"
        },
        "items": {
            "type": "array",
            "items": {
                "type": "object",
                "required": [
                    "type",
                    "product_type",
                    "product_format",
                    "value",
                    "channels",
                    "_id",
                    "active"
                ],
                "additionalProperties": false,
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "Unique identifier for the product identifier",
                        "example": "b7850298-96b2-42b2-ba36-ab7e1ecccb48",
                        "nullable": true
                    },
                    "type": {
                        "type": "string",
                        "description": "Type of the identifier (e.g., 'gtin13', 'doi', 'isbn13')",
                        "example": "gtin13"
                    },
                    "product_type": {
                        "type": "string",
                        "description": "Type of the product ('ebook', 'book', 'audiobook', 'nonbook')",
                        "example": "ebook"
                    },
                    "product_format": {
                        "type": "string",
                        "description": "Format of the product ('epub', 'pdf', 'mobi', 'ibooks', 'pod')",
                        "nullable": true,
                        "example": "epub"
                    },
                    "value": {
                        "type": "string",
                        "description": "The identifier value (e.g., an EAN or ISBN number)",
                        "example": "9783638101417"
                    },
                    "channels": {
                        "type": "array",
                        "description": "Distribution channels this identifier applies to",
                        "items": {
                            "type": "string"
                        },
                        "example": [
                            "amazon",
                            "itunes"
                        ]
                    },
                    "active": {
                        "type": "boolean",
                        "description": "Indicates whether this identifier is currently active"
                    }
                }
            }
        }
    },
    "required": [
        "_links",
        "_pagination",
        "items"
    ]
}

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}

POST /resource/v3/products/{productId}/identifiers

Create a new identifier

Input parameters

Path parameters

Parameter Type Default Nullable Description
productId string No Unique ID of the product

Request body

{
    "_id": "b7850298-96b2-42b2-ba36-ab7e1ecccb48",
    "type": "gtin13",
    "product_type": "ebook",
    "product_format": "epub",
    "value": "9783638101417",
    "channels": [
        "amazon",
        "itunes"
    ],
    "active": true
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "required": [
        "type",
        "product_type",
        "product_format",
        "value",
        "channels",
        "_id",
        "active"
    ],
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "string",
            "description": "Unique identifier for the product identifier",
            "example": "b7850298-96b2-42b2-ba36-ab7e1ecccb48",
            "nullable": true
        },
        "type": {
            "type": "string",
            "description": "Type of the identifier (e.g., 'gtin13', 'doi', 'isbn13')",
            "example": "gtin13"
        },
        "product_type": {
            "type": "string",
            "description": "Type of the product ('ebook', 'book', 'audiobook', 'nonbook')",
            "example": "ebook"
        },
        "product_format": {
            "type": "string",
            "description": "Format of the product ('epub', 'pdf', 'mobi', 'ibooks', 'pod')",
            "nullable": true,
            "example": "epub"
        },
        "value": {
            "type": "string",
            "description": "The identifier value (e.g., an EAN or ISBN number)",
            "example": "9783638101417"
        },
        "channels": {
            "type": "array",
            "description": "Distribution channels this identifier applies to",
            "items": {
                "type": "string"
            },
            "example": [
                "amazon",
                "itunes"
            ]
        },
        "active": {
            "type": "boolean",
            "description": "Indicates whether this identifier is currently active"
        }
    }
}

Responses

{
    "_id": "b7850298-96b2-42b2-ba36-ab7e1ecccb48",
    "type": "gtin13",
    "product_type": "ebook",
    "product_format": "epub",
    "value": "9783638101417",
    "channels": [
        "amazon",
        "itunes"
    ],
    "active": true
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "required": [
        "type",
        "product_type",
        "product_format",
        "value",
        "channels",
        "_id",
        "active"
    ],
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "string",
            "description": "Unique identifier for the product identifier",
            "example": "b7850298-96b2-42b2-ba36-ab7e1ecccb48",
            "nullable": true
        },
        "type": {
            "type": "string",
            "description": "Type of the identifier (e.g., 'gtin13', 'doi', 'isbn13')",
            "example": "gtin13"
        },
        "product_type": {
            "type": "string",
            "description": "Type of the product ('ebook', 'book', 'audiobook', 'nonbook')",
            "example": "ebook"
        },
        "product_format": {
            "type": "string",
            "description": "Format of the product ('epub', 'pdf', 'mobi', 'ibooks', 'pod')",
            "nullable": true,
            "example": "epub"
        },
        "value": {
            "type": "string",
            "description": "The identifier value (e.g., an EAN or ISBN number)",
            "example": "9783638101417"
        },
        "channels": {
            "type": "array",
            "description": "Distribution channels this identifier applies to",
            "items": {
                "type": "string"
            },
            "example": [
                "amazon",
                "itunes"
            ]
        },
        "active": {
            "type": "boolean",
            "description": "Indicates whether this identifier is currently active"
        }
    }
}

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}

GET /resource/v3/products/{productId}/identifiers/{identifierId}

Get details of a single identifier

Input parameters

Path parameters

Parameter Type Default Nullable Description
identifierId string No Unique ID of the product identifier
productId string No Unique ID of the product

Responses

{
    "_id": "b7850298-96b2-42b2-ba36-ab7e1ecccb48",
    "type": "gtin13",
    "product_type": "ebook",
    "product_format": "epub",
    "value": "9783638101417",
    "channels": [
        "amazon",
        "itunes"
    ],
    "active": true
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "required": [
        "type",
        "product_type",
        "product_format",
        "value",
        "channels",
        "_id",
        "active"
    ],
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "string",
            "description": "Unique identifier for the product identifier",
            "example": "b7850298-96b2-42b2-ba36-ab7e1ecccb48",
            "nullable": true
        },
        "type": {
            "type": "string",
            "description": "Type of the identifier (e.g., 'gtin13', 'doi', 'isbn13')",
            "example": "gtin13"
        },
        "product_type": {
            "type": "string",
            "description": "Type of the product ('ebook', 'book', 'audiobook', 'nonbook')",
            "example": "ebook"
        },
        "product_format": {
            "type": "string",
            "description": "Format of the product ('epub', 'pdf', 'mobi', 'ibooks', 'pod')",
            "nullable": true,
            "example": "epub"
        },
        "value": {
            "type": "string",
            "description": "The identifier value (e.g., an EAN or ISBN number)",
            "example": "9783638101417"
        },
        "channels": {
            "type": "array",
            "description": "Distribution channels this identifier applies to",
            "items": {
                "type": "string"
            },
            "example": [
                "amazon",
                "itunes"
            ]
        },
        "active": {
            "type": "boolean",
            "description": "Indicates whether this identifier is currently active"
        }
    }
}

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}

PUT /resource/v3/products/{productId}/identifiers/{identifierId}

Update a single identifier

Input parameters

Path parameters

Parameter Type Default Nullable Description
identifierId string No Unique ID of the product identifier
productId string No Unique ID of the product

Request body

{
    "_id": "b7850298-96b2-42b2-ba36-ab7e1ecccb48",
    "type": "gtin13",
    "product_type": "ebook",
    "product_format": "epub",
    "value": "9783638101417",
    "channels": [
        "amazon",
        "itunes"
    ],
    "active": true
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "required": [
        "type",
        "product_type",
        "product_format",
        "value",
        "channels",
        "_id",
        "active"
    ],
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "string",
            "description": "Unique identifier for the product identifier",
            "example": "b7850298-96b2-42b2-ba36-ab7e1ecccb48",
            "nullable": true
        },
        "type": {
            "type": "string",
            "description": "Type of the identifier (e.g., 'gtin13', 'doi', 'isbn13')",
            "example": "gtin13"
        },
        "product_type": {
            "type": "string",
            "description": "Type of the product ('ebook', 'book', 'audiobook', 'nonbook')",
            "example": "ebook"
        },
        "product_format": {
            "type": "string",
            "description": "Format of the product ('epub', 'pdf', 'mobi', 'ibooks', 'pod')",
            "nullable": true,
            "example": "epub"
        },
        "value": {
            "type": "string",
            "description": "The identifier value (e.g., an EAN or ISBN number)",
            "example": "9783638101417"
        },
        "channels": {
            "type": "array",
            "description": "Distribution channels this identifier applies to",
            "items": {
                "type": "string"
            },
            "example": [
                "amazon",
                "itunes"
            ]
        },
        "active": {
            "type": "boolean",
            "description": "Indicates whether this identifier is currently active"
        }
    }
}

Responses

{
    "_id": "b7850298-96b2-42b2-ba36-ab7e1ecccb48",
    "type": "gtin13",
    "product_type": "ebook",
    "product_format": "epub",
    "value": "9783638101417",
    "channels": [
        "amazon",
        "itunes"
    ],
    "active": true
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "required": [
        "type",
        "product_type",
        "product_format",
        "value",
        "channels",
        "_id",
        "active"
    ],
    "additionalProperties": false,
    "properties": {
        "_id": {
            "type": "string",
            "description": "Unique identifier for the product identifier",
            "example": "b7850298-96b2-42b2-ba36-ab7e1ecccb48",
            "nullable": true
        },
        "type": {
            "type": "string",
            "description": "Type of the identifier (e.g., 'gtin13', 'doi', 'isbn13')",
            "example": "gtin13"
        },
        "product_type": {
            "type": "string",
            "description": "Type of the product ('ebook', 'book', 'audiobook', 'nonbook')",
            "example": "ebook"
        },
        "product_format": {
            "type": "string",
            "description": "Format of the product ('epub', 'pdf', 'mobi', 'ibooks', 'pod')",
            "nullable": true,
            "example": "epub"
        },
        "value": {
            "type": "string",
            "description": "The identifier value (e.g., an EAN or ISBN number)",
            "example": "9783638101417"
        },
        "channels": {
            "type": "array",
            "description": "Distribution channels this identifier applies to",
            "items": {
                "type": "string"
            },
            "example": [
                "amazon",
                "itunes"
            ]
        },
        "active": {
            "type": "boolean",
            "description": "Indicates whether this identifier is currently active"
        }
    }
}

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}

DELETE /resource/v3/products/{productId}/identifiers/{identifierId}

Delete an identifier

Input parameters

Path parameters

Parameter Type Default Nullable Description
identifierId string No Unique ID of the product identifier
productId string No Unique ID of the product

Responses

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}